#include "CustomControlTest.hpp"

#include <bb/cascades/Application>
#include <bb/cascades/QmlDocument>
#include <bb/cascades/AbstractPane>

#include "DropDownList.h"

using namespace bb::cascades;

CustomControlTest::CustomControlTest(bb::cascades::Application *app)
: QObject(app)
{
	// Register Custom Types
	qmlRegisterType<DropDownList>("my.DropDownList", 1, 0, "DropDownList");

    // create scene document from main.qml asset
    // set parent to created document to ensure it exists for the whole application lifetime
    QmlDocument *qml = QmlDocument::create("asset:///main.qml").parent(this);

    // create root object for the UI
    AbstractPane *root = qml->createRootObject<AbstractPane>();
    // set created root object as a scene
    app->setScene(root);
}

