/*
 * DropDownList.h
 *
 *  Created on: Oct 1, 2012
 *      Author: rion
 */

#ifndef DROPDOWNLIST_H_
#define DROPDOWNLIST_H_

#include <QObject>
#include <QString>
#include <bb/cascades/CustomControl>
#include <bb/cascades/DropDown>
#include <bb/cascades/Option>

using namespace bb::cascades;

class DropDownList: public bb::cascades::CustomControl {
Q_OBJECT
Q_PROPERTY(QString title READ GetTitle WRITE SetTitle)
public:
	DropDownList();
	virtual ~DropDownList();

	/*
	 * Specify the Text and Value of the option you'd like to add
	 */
	Q_INVOKABLE
	void AddOption(int id, QString text, QString value);

	/*
	 * Set the title
	 */
	Q_INVOKABLE
	void SetTitle(QString text);

	/*
	 * Get the title
	 */
	Q_INVOKABLE
	QString GetTitle();

	/*
	 * Clear the DropDown of all existing options
	 */
	Q_INVOKABLE
	void Clear();

private:
	DropDown *ddown;
	QString title;

public slots:
	void onSelectedOptionChanged(bb::cascades::Option* option);

signals:
	void selectedOptionChanged(bb::cascades::Option* option);
};

#endif /* DROPDOWNLIST_H_ */
